Commit in hps-java/scripts on MAIN
et_evio_consumer_test.sh+27added 1.1

hps-java/scripts
et_evio_consumer_test.sh added at 1.1
diff -N et_evio_consumer_test.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ et_evio_consumer_test.sh	9 Mar 2012 23:34:36 -0000	1.1
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# This stuff only works on Linux due to dependency on a system-dependent JNI lib which doesn't seem to compile on OSX.
+if [ $(uname) == "Linux" ]
+then
+    echo "Running on a Linux system.  OK."
+else
+    echo "Not running on a Linux system.  Bailing!"
+    exit 1
+fi
+
+# Check for LD_LIBRARY_PATH which should point to hps-et-java lib dir.
+if [ -z "$LD_LIBRARY_PATH" ]; then
+    echo "No LD_LIBRARY_PATH is set in your environment.  Set this to [--YOUR_PATH_TO--]/hps-et-java/lib/lib/Linux-x86_64/ and try again."
+    exit 1
+fi
+
+# Single argument is name of EVIO file.
+eviofile=$1
+
+# Classpath pointing to the hps-java jar.
+classpath=`pwd`/target/hps-java-1.0-SNAPSHOT-bin.jar
+
+# Run it.
+prod="java -classpath $classpath org.lcsim.hps.evio.EvioConsumer -f ETBuffer -host $(hostname) -s MY_STATION"
+echo $prod
+exec $prod
CVSspam 0.2.12


Use REPLY-ALL to reply to list

To unsubscribe from the LCD-CVS list, click the following link:
https://listserv.slac.stanford.edu/cgi-bin/wa?SUBED1=LCD-CVS&A=1